Ticket #199 (closed bug: fixed)

Opened 6 years ago

Last modified 5 years ago

FFado 2.0~rc1 FTBFS on IA64

Reported by: rexbron Assigned to: arnonym
Priority: minor Milestone: FFADO 2.0
Component: Version: FFADO 2.0-rc1 (1.999.40)
Keywords: Cc:
The device the bug applies to:

Description

Hey everyone,

FFado fails to build from source on IA64.

Build log: http://launchpadlibrarian.net/22906616/buildlog_ubuntu-jaunty-ia64.libffado_2.0~rc1-0ubuntu1_FAILEDTOBUILD.txt.gz

Change History

02/24/09 03:12:13 changed by adi

Same as #197 on SPARC: atomic operations and the build system. For atomic operations, I'd go for the gcc-4.1 builtins. We don't have the manpower for everything else.

For the build system, we could simply ditch the default target. Don't know if this works:

Index: SConstruct
===================================================================
--- SConstruct  (revision 1518)
+++ SConstruct  (working copy)
@@ -412,7 +412,7 @@
     elif re.search("powerpc", config[config_cpu]) != None:
         env['DIST_TARGET'] = 'powerpc'
     else:
-        env['DIST_TARGET'] = 'i686'
+        env['DIST_TARGET'] = config[config_cpu]
     print "Detected DIST_TARGET = " + env['DIST_TARGET']
 
 if ((re.search ("i[0-9]86", config[config_cpu]) != None) or (re.search ("x86_64", config[config_cpu]) != None) or (re.search ("powerpc", config[config_cpu]) != None)):

02/24/09 07:10:26 changed by rexbron

  • milestone changed from FFADO 2.0 to FFADO 2.1.

That looks like a sane solution to me, but I am not very experienced with scons.

09/22/09 15:05:25 changed by arnonym

  • status changed from new to assigned.
  • owner set to arnonym.
  • milestone changed from FFADO 2.1 to FFADO 2.0.

Would that change anything for users and packagers on x86 and x86_64?

09/23/09 00:35:42 changed by adi

Works fine for me on both, x86 and amd64. No objections to include this fix.

10/02/09 14:47:52 changed by arnonym

(In [1675]) Lets see how many setups this breaks. see #199

10/02/09 14:50:23 changed by arnonym

(In [1676]) Make sure that the 2.0 branch breaks too. see #199

10/02/09 14:51:27 changed by arnonym

  • status changed from assigned to closed.
  • resolution set to fixed.

Should be fixed both in trunk and the 2.0 branch.